
package com.tmerclub.cloud.common.order.vo;

import com.tmerclub.cloud.common.order.vo.AreaVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.List;

/**
 * VO
 *
 * @author tmerclub
 * @date 2023-11-08 11:11:44
 */
public class WarehouseVO extends BaseVO{
    private static final long serialVersionUID = 1L;

    @Schema(description = "仓库id")
    private Long warehouseId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "仓库名称")
    private String warehouseName;

    @Schema(description = "仓库类型（0默认仓库，1区域仓库）")
    private Integer type;

    @Schema(description = "仓库地址")
    private String address;

    @Schema(description = "管理人")
    private String manage;

    @Schema(description = "管理电话")
    private String phone;

    /**
     * 系统类型见SysTypeEnum 0.普通用户系统 1.商家端 2平台端 3供应商端
     */
    @Schema(description = "系统类型")
    private Integer sysType;

    @Schema(description = "供应城市项")
    private List<AreaVO> cityList;

    @Schema(description = "供应地址id")
    private List<Long> areaIds;

    @Schema(description = "库存")
    private Integer stock;


    @Schema(description = "省ID")
    private Long provinceId;

    @Schema(description = "省")
    private String province;

    @Schema(description = "城市ID")
    private Long cityId;

    @Schema(description = "城市")
    private String city;

    @Schema(description = "区ID")
    private Long areaId;

    @Schema(description = "区")
    private String area;

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public Long getAreaId() {
        return areaId;
    }

    public void setAreaId(Long areaId) {
        this.areaId = areaId;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public Integer getStock() {
        return stock;
    }

    public void setStock(Integer stock) {
        this.stock = stock;
    }

    public List<AreaVO> getCityList() {
        return cityList;
    }

    public void setCityList(List<AreaVO> cityList) {
        this.cityList = cityList;
    }

    public Integer getSysType() {
        return sysType;
    }

    public void setSysType(Integer sysType) {
        this.sysType = sysType;
    }

    public Long getWarehouseId() {
        return warehouseId;
    }

    public void setWarehouseId(Long warehouseId) {
        this.warehouseId = warehouseId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getManage() {
        return manage;
    }

    public void setManage(String manage) {
        this.manage = manage;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public List<Long> getAreaIds() {
        return areaIds;
    }

    public void setAreaIds(List<Long> areaIds) {
        this.areaIds = areaIds;
    }

    @Override
    public String toString() {
        return "WarehouseVO{" +
                "warehouseId=" + warehouseId +
                ", shopId=" + shopId +
                ", warehouseName='" + warehouseName + '\'' +
                ", type=" + type +
                ", address='" + address + '\'' +
                ", manage='" + manage + '\'' +
                ", phone='" + phone + '\'' +
                ", sysType=" + sysType +
                ", cityList=" + cityList +
                ", areaIds=" + areaIds +
                ", stock=" + stock +
                ", provinceId=" + provinceId +
                ", province='" + province + '\'' +
                ", cityId=" + cityId +
                ", city='" + city + '\'' +
                ", areaId=" + areaId +
                ", area='" + area + '\'' +
                '}';
    }
}
